import type { JSONSchema } from '@declaro/core';
import { Model } from '@declaro/core';
import type { $ZodType } from 'zod/v4/core';
export declare class ZodModel<TName extends Readonly<string>, TSchema extends $ZodType<any>> extends Model<TName, TSchema> {
    constructor(name: TName, schema: TSchema);
    toJSONSchema(): JSONSchema;
}
